Package net.rubygrapefruit.platform

# Interface MemoryInfo

All Known Subinterfaces:
  `OsxMemoryInfo`

All Known Implementing Classes:
  `DefaultMemoryInfo`, `DefaultOsxMemoryInfo`

public interface MemoryInfo
Provides some information about the system memory. This is a snapshot and does not change.

## Method Summary

Modifier and Type
Method
Description
`long`
`getAvailablePhysicalMemory()`
Returns the number of bytes of physical memory that are available for use.
`long`
`getTotalPhysicalMemory()`
Returns the number of bytes of physical memory installed in the machine.

## Method Details

### getTotalPhysicalMemory

long getTotalPhysicalMemory()
Returns the number of bytes of physical memory installed in the machine.

### getAvailablePhysicalMemory

long getAvailablePhysicalMemory()
Returns the number of bytes of physical memory that are available for use. Includes memory that is available without swapping.